#
# See the file "LICENSE" for the full license governing this code.
#
# frozen_string_literal: true

#
#
# Define all common mungers available for all types
#

require 'easy_type'

module PuppetX
  module EnterpriseModules
    module Db2
      module Mungers
        # Add documentation TODO
        module UpcaseName
          def unsafe_munge(full_name)
            parts = full_name.split('/')
            parts.drop(1).collect(&:upcase).unshift(parts[0]).join('/')
          end
        end
      end
    end
  end
end
