#
# db2_config::setup
#
# @summary Ensure the script to connect to a database is in a location where the db2 instances user can execute it
#
#
#
# See the file "LICENSE" for the full license governing this code.
#
class db2_config::setup () {
  file { "${facts['puppet_vardir']}/../bin/execute_db2_sql":
    source => 'puppet:///modules/db2_config/execute_db2_sql',
    mode   => '0755',
    owner  => 'root',
    group  => 'root',
  }
}
